Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.gui
Class TermListModel

    java.lang.Object
      |
      +--com.declarativa.interprolog.gui.TermListModel

All Implemented Interfaces:
  ListModel, Serializable

public class TermListModel
extends Object
implements Serializable, ListModel

The Swing model to support a JList displaying Prolog terms

See Also:
  Serialized Form

Constructor Summary
`TermListModel(TermModel[] terms)`

Method Summary
`void` | `addListDataListener(ListDataListener l)`
`static ObjectExamplePair` | `example()`
`Object` | `getElementAt(int index)`
`int` | `getSize()`
`void` | `removeListDataListener(ListDataListener l)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermListModel

    public TermListModel(TermModel[] terms)

Method Detail

### example

    public static ObjectExamplePair example()

### addListDataListener

    public void addListDataListener(ListDataListener l)

  Specified by:
    `addListDataListener` in interface `ListModel`

### removeListDataListener

    public void removeListDataListener(ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `ListModel`

### getElementAt

    public Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `ListModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `ListModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD